Publish a shift template
curl --request POST \
--url https://app.ontime.hosai.app/api/shifts/{id}/publish \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.ontime.hosai.app/api/shifts/{id}/publish"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ontime.hosai.app/api/shifts/{id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "G",
"category": "G",
"sku": "<string>",
"name": "<string>",
"type": "fixed",
"status": "draft",
"tags": [
"<string>"
],
"allLocations": true,
"locationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"effectiveFrom": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"workingHours": 123,
"unpaidBreakMinutes": 0,
"breakWindowStart": "<string>",
"breakWindowEnd": "<string>",
"gracePeriodMinutes": 0,
"halfDayCutoffHours": 123,
"weeklyOff": [
"<string>"
],
"autoCheckoutAfter": "<string>",
"otEligibleAfterMinutes": 0,
"otCapPerDayMinutes": 0,
"otMultiplierWeekday": 9,
"otMultiplierHolidayOff": 9,
"otApprovalThresholdMinutes": 0,
"workingDays": {
"mon": true,
"tue": true,
"wed": true,
"thu": true,
"fri": true,
"sat": true,
"sun": true,
"secondSatOff": true,
"fourthSatOff": true,
"restrictedHolidays": true
},
"punchSources": {
"biometricOffice": {
"enabled": true,
"hint": "<string>"
},
"mobileGpsSelfie": {
"enabled": true,
"hint": "<string>"
},
"mobileOtpFallback": {
"enabled": true,
"hint": "<string>"
},
"webWfh": {
"enabled": true,
"hint": "<string>"
},
"qrKiosk": {
"enabled": true,
"hint": "<string>"
},
"managerMarked": {
"enabled": true,
"hint": "<string>"
}
},
"lateDeduction": {
"mode": "none",
"afterCount": 0,
"fraction": 123
},
"notifications": [
{
"key": "fiveMinBefore",
"label": "<string>",
"channelTarget": "<string>"
}
]
}Shifts
Publish a shift template
Publish a shift template
POST
/
api
/
shifts
/
{id}
/
publish
Publish a shift template
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Success
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
G, M, E, N, F Available options:
G, M, E, N, F, FL Available options:
fixed, flexible, rotational, field, custom Available options:
draft, published Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
x <= 10Required range:
x <= 10Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes